From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/envman/
Date: Fri, 19 Apr 2019 13:15:12 +0000 (UTC) [thread overview]
Message-ID: <1555679700.07197a2dfbef8613a3b95b95c27823d92fae7498.mgorny@gentoo> (raw)
commit: 07197a2dfbef8613a3b95b95c27823d92fae7498
Author: Karol Wrótniak <karol.wrotniak <AT> droidsonroids <DOT> pl>
AuthorDate: Sun Nov 25 17:31:34 2018 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Apr 19 13:15:00 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=07197a2d
dev-util/envman: bump to 2.1.1
Signed-off-by: Karol Wrótniak <karol.wrotniak <AT> droidsonroids.pl>
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-util/envman/Manifest | 1 +
dev-util/envman/envman-2.1.1.ebuild | 38 +++++++++++++++++++++++++++++++++++++
2 files changed, 39 insertions(+)
diff --git a/dev-util/envman/Manifest b/dev-util/envman/Manifest
index 4e1b667679e..64118543c64 100644
--- a/dev-util/envman/Manifest
+++ b/dev-util/envman/Manifest
@@ -1,3 +1,4 @@
DIST envman-1.2.0.tar.gz 2997860 BLAKE2B e49d3b421fb1ab226de4430e90d8c684bc3a2554205c6383a140c0832134eaba338797dca44668fc2473d248940b5499395ab3a6d3359382305fd8a719772257 SHA512 5245aea8c280a6d6022e8132216891f09abee707c0ed736bfe6b4882aa23880a771dce5371b8ba5fcdd41fa951606727e7582442d897058b25985cf9dd5a9d18
DIST envman-1.2.1.tar.gz 3033981 BLAKE2B a48c46d35a122ad86274867c246f1af998a983a67e8d30214bc6f3a989ad6b435a61ebad7f128803ffb9dcfc05af261b99cf3316fed93412c6ee1da873cc988e SHA512 bbec25964d868077c88a01ab827744633b325eb955809d4ec48a5224f6f8530c31b297b592f0280dabd01007bf75fd6ac3609c4d19be0332ca114d36725c7fb6
DIST envman-2.1.0.tar.gz 3133726 BLAKE2B 8c5c87d43bdc22838036fe25ea6b48e702163d474169181257cef6f0fe4fba01b18f870d9bfee5f56b30cce13f47f6af70f4e55fcff221af77f14550a13ebb46 SHA512 c0b7ab5355332fa24ecd4166e3fdb1f02e589ee11288768a382a9556d2c3061b1930061873525e19b71451a47c72c09f5b7c6191b8564b0dec2a9c29dfbcf222
+DIST envman-2.1.1.tar.gz 3162514 BLAKE2B 3aad5bc174bbbfc52ffe219fae7590e3ebcf7ef0a5390add53e27232500b777f562d3c4662219732048f1a700f6a11da6aba490b3495d57d4da3610a02d544c9 SHA512 5d30bd23a2aa828786663f184707d776ddc0e71ee09e007f8075b99ce0c415db28e612a785ab1acd8767cfd8623939a82a7c0fc71e0fd6ce8d8ce4e0b0048cf0
diff --git a/dev-util/envman/envman-2.1.1.ebuild b/dev-util/envman/envman-2.1.1.ebuild
new file mode 100644
index 00000000000..20bf664c7e8
--- /dev/null
+++ b/dev-util/envman/envman-2.1.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit golang-build
+
+EGO_ON="github.com/bitrise-io"
+EGO_PN="${EGO_ON}/${PN}"
+
+DESCRIPTION="Environment variable manager for Bitrise CLI"
+HOMEPAGE="https://www.bitrise.io/cli"
+SRC_URI="https://${EGO_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+S="${WORKDIR}/src/${EGO_ON}/${PN}"
+
+src_unpack() {
+ default
+ mkdir -p "${WORKDIR}/src/${EGO_ON}" || die "Couldn't create project dir in GOPATH"
+ mv "${WORKDIR}/${P}" "${WORKDIR}/src/${EGO_ON}/envman" || die "Couldn't move sources to GOPATH"
+}
+
+src_compile() {
+ GOPATH="${WORKDIR}" go build -v -o bin/envman || die "Couldn't compile envman"
+}
+
+src_test() {
+ GOPATH="${WORKDIR}" go test ./... || die "Tests failed"
+}
+
+src_install() {
+ dobin bin/envman
+ einstalldocs
+}
next reply other threads:[~2019-04-20 23:26 UTC|newest]
Thread overview: 9+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-04-19 13:15 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-22 5:20 [gentoo-commits] repo/gentoo:master commit in: dev-util/envman/ Arthur Zamarin
2022-11-21 15:40 Joonas Niilola
2022-11-21 15:40 Joonas Niilola
2022-11-21 15:40 Joonas Niilola
2022-11-21 7:40 Joonas Niilola
2018-10-22 20:12 Michał Górny
2018-08-22 14:36 Michał Górny
2018-07-17 16:25 Tony Vroon
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1555679700.07197a2dfbef8613a3b95b95c27823d92fae7498.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox